Bug 1889982 - Dynamic Sources/channels should use latest version available
Summary: Dynamic Sources/channels should use latest version available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Jaivardhan Kumar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 1871920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-21 07:05 UTC by Jaivardhan Kumar
Modified: 2020-11-05 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: change in apiversion for EventSources CRDs Consequence: in OCP 4.5 PingSource was failing as spec change in the version from Data to jsonData Fix: Pick latest Version from CRD and updated spec based on that for sources Result: User is able to create all eventSources from WebConsole
Clone Of: 1871920
Environment:
Last Closed: 2020-11-05 12:47:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
Dynamic Sources/channels uses latest version available-1 (69.04 KB, image/png)
2020-10-27 13:55 UTC, spathak@redhat.com
no flags Details
Dynamic Sources/channels uses latest version available-2 (117.07 KB, image/png)
2020-10-27 13:57 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6965 None closed [release-4.5.z] Bug 1889982: pick latestCRDversion instead of latest/served true 2020-11-06 09:10:18 UTC
Red Hat Product Errata RHBA-2020:4325 None None None 2020-11-05 12:47:46 UTC

Comment 3 spathak@redhat.com 2020-10-27 13:55:40 UTC
Created attachment 1724538 [details]
Dynamic Sources/channels uses latest version available-1

Comment 4 spathak@redhat.com 2020-10-27 13:57:20 UTC
Created attachment 1724540 [details]
Dynamic Sources/channels uses latest version available-2

Comment 5 spathak@redhat.com 2020-10-27 13:59:11 UTC
Verified on build version: 4.5.0-0.ci-2020-10-25-032658
Browser version: chrome 84

Comment 7 errata-xmlrpc 2020-11-05 12:47:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.